/* Custom Properties (Propiedades prsonalizadas) */

:root{
/* colores principales */
/* --first-color:#d90062; */
--first-color:#589B46;
/* --first-color:green; */


/* --first-color:crimson; */
--first-alpha-color:rgba(217, 0, 98, 0.75);
--first-alpha-color2:rgba(217, 0, 98, 0.50);
--second-color:#14192D;
--second-color:#0D0D0D;

/* --second-color:rgb(1, 38, 1); */
--second-alpha-color:rgba(20, 25, 45, 0.75);
--third-color:#501464;
--third-alpha-color:rgba(80, 20, 100, 0.75);
/* Escalas de grises */
--white-color:#FFFFFF;
--white-color2:blanchedalmond;
--gray-light-color:#F2F2F2;
--gray-color:#cccccc;
--gray-dark-color:#666666;
--black-color:#000000;
/*Otros*/
--link-color:#509EE3;
--title-color:#333333;
--text-color:#222222;
--white-alpha-color:rgba(255, 255, 255, 0.5);
--black-alpha-color:rgba(0, 0, 0, 0.5);
--font:"Raleway", sans-serif;
--max-width:1200px ;
--header-height: 4rem;


}



                                /* Reset */

html{
    /* la caja empieza en el borde */
    box-sizing: border-box;
    font-family: var(--font);
    /*el parametro rem es relativo al tamaño absoluto en px de la fuente en la etiqueta html */
    font-size: 16px; 
    /*scroll-behavior especifica el comportamiento del desplazamiento */
    scroll-behavior: smooth;  /*suave*/
}

*, *::after, *::before{
    box-sizing: inherit; /*Heredan de html*/
}

body{
    margin: 0;
    /*Sacamos el scroll hprizonral, cuando la imagen es muy grande*/
    overflow-x: hidden;
    color: var(--text-color);
    background-color: var(--gray-light-color);
    /* background-color: var(--white-color2); */
}

a{
    color: var(--link-color);
    transition: all 0.5s ease-out;
}
a:hover{
    opacity: 0.75;
}

h1{
    margin: 0;
    font-size: 2rem;
}
h2{
    margin: 0;
    font-size: 1.5rem;
}
h3{
    margin: 0;
    font-size: 1.25rem;
}
h4{
    margin: 0;
    font-size: 1rem; 
}
h5{
    margin: 0;
    font-size: 0.85rem;
}
h6{
    margin: 0;
    font-size: 0.7rem;
}

img{
    /*Hace que las imagenes sean responsive*/
    max-width: 100%;
    height: auto;
}

p{
    line-height: 1.6;
}



                                            /* Components (Código de los componentes)*/

/* heroImage */

/*Carrusel de noticias*/
/* Animación */
/*

@keyframes noticias-animadas{
    0%{
        transform: translateX(0%)
    }
    25%{
        transform: translateX(-25%)
    }
    50%{
        transform: translateX(-50%)
    }
    75%{
        transform: translateX(-75%)
    }

}
*/


.carousel{
    margin: 2rem auto;
    padding: 2rem 0;
    max-width: 800px;
    text-align: center;
    background-color: var(--carousel-bg-color);
    overflow: hidden;
}


/* .testimonials:hover .carousel .slides{
    animation: noticias-animadas 16s ease-in-out 1s;
} */


.carousel input{
    display: none;
}
.carousel label{
    display: inline-block;
    width: 1rem;
    height: 1rem;
    /* hacemos con el borde los controles del slider */
    border:medium solid var(--gray-dark-color) ;
    border-radius: 50%;
    cursor: pointer;
    margin: 0 0.30rem;
}

/* Formulario */
.contact-form{
    margin: 2rem auto;
    padding: 1rem;
    max-width: 1000px;
}

/* Todos los hijos directos, sin importar que es */
.contact-form > *{
    padding: 0.5rem;
    margin: 1rem auto;
    display: block;
    width: 100%;

}

.contact-form input,
.contact-form textarea{
    font-family: var(--font);
}

.contact-form input{
    border: 0;
    border-bottom: thin solid var(--gray-dark-color);
}

.contact-form textarea{
    outline: none;
    border:thin solid var(--gray-dark-color);
    resize: none;
}

.contact-form-loader{
    text-align: center;
}

.contact-form input[type="submit"]{
    margin-top: 0;
    cursor: pointer;
    transition:all 0.5s ease-out;
   
}
.contact-form input[type="submit"]:hover{
    opacity: 0.75;
   
}

.contact-form * ::placeholder{
    color: var(--gray-dark-color);
}

/* target se activa cuando contactamos con su Id */
.modal#gracias:target{
    opacity: 1;
    pointer-events: auto;
}

.contact-form-response{
    padding: 1rem;
    width: 400px;
    background-color: var(--white-color2);
    text-align: center;
}

.contact-form-response svg{
    fill: var(--first-color);
    margin-top: 2rem;
    width: 4rem;
    height: 4rem;
}










.hero-image{
    background-image:var(--hero-image) ;  /*Lo definimos en el html, como variable*/
    background-repeat: no-repeat;
    background-position: center; /* Lo centramos tanto en x como en y*/
    background-size: cover;
    background-attachment: var(--hero-attachment);/*esta puesto en el html en fixed: scroll fijo*/
}
.hero-image-opacity{
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--hero-opacity-color);
    text-align: center;
}
.hero-image-title{
    color:var(--hero-text-color);
    color:blanchedalmond;
    font-size: 5vw;
    padding-bottom: 5rem;
}

/* Modal */

.modal{
    position: fixed;/*ojo, traba la página*/
    z-index: 999;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    /* importante, permite que la página funcione */
    pointer-events: none;
    transition: all 1s;
    
}
.modal-content{
    position: relative;
}
.modal-close{
    position: absolute;
    top: 1rem;
    right: 1rem;
}
.modal-close svg{
    width: 3rem;
    height: 3rem;
    fill: var(--first-color);
}
/* Los estilos se aplican cuando el target este en este id interno(#trabajo-1) */
/* Por eso en .modal ponemos opacidad de 0 */
/* .modal#trabajo-1:target en vez de este código uasamos selector de contenido*/
/* con | decimos que comienza con esta palabra */
.modal[id|="trabajo"]:target{
    opacity: 1;
    pointer-events: auto;
}


/* boton */
 .menu-btn{
    outline: thin solid var(--first-color);
    border: 0;
    background-color: var(--second-color);
    cursor: pointer;
 }
 /* colorea el relleno del boton que es un vector */
 .menu-btn svg{
    fill: var(--first-color);
    
 }

  /* menu */
 .menu{
    /* display: none; */
    position: fixed;
    left: 0;
    bottom: 4rem;
    width: 100%;
    background-color: var(--second-color);
    display: flex;
    flex-direction: column;
    /* El menu es invisible en principio */
    opacity: 0;
    transition: opacity 0.5s ease;
    /* para que no reaccione a la interactividad(mano del puntero), ya que no se ve  */
    pointer-events: none;
 }

 /* clase auxiliar para javascript y hacer visible el menú */
 .menu.is-active{
    opacity: 1;
    pointer-events: auto;
 }
 .menu a{
    padding: 1rem;
    text-decoration: none;
    font-size: 1.5rem;
    font-weight: bold;
    text-align: center;
    color: var(--first-color);
 }

 .menu a:hover{
    color: var(--white-color);
    background-color: var(--first-color);
    
 }

 @media screen and (min-width:1024px){
    .menu-btn{
        display: none;
    }
    .menu{
        position: static;
        opacity: 1;
        pointer-events: auto;
        width: auto; /*Se adapta a los elementos que tenga */
        flex-direction: row;
    }
    .menu a{
        padding: 0 1rem;
    }
    .menu a:last-child{
        padding-right: 0;
    }
    .menu a:hover{
        background-color: transparent;
    }
 }



                                             /*Utilities 
(clases CSS para llevar a distintos proyectos, te prmiten cambiar un borde, aplicar un estilo, 
alinear texto etc)*/

.avatar{
    border-radius: 50%;
    width: 150px;
    height: 150px;
}

.bg-gray-light{
    background-color:var(--gray-light-color);
}

.box-shadow{
    box-shadow: 0.25rem 0.25rem 1rem rgba(0, 0, 0, 0.25);
}

/* boton de contacto */
.btn{
    border-radius: 0.5rem;
    padding: 1rem;
    display:inline-block;
    text-decoration: none;
    width: 200px;
    font-weight: bold;
    text-align: center;
    color: var(--white-color);
    background-color: var(--first-color);
    margin-bottom: 10rem;
   

}
/*donde esta el menú y el logo */
.container{
    margin-left: auto;
    margin-right: auto;
    max-width: var(--max-width);
    
}

/* ocultamos el boton clear del menu */
.none{
    display: none;
}
/*Clase utilitaria para generar un padding*/
.section{
    padding: 2rem 1rem;
}
.section-title{
    border-top: thin solid var(--first-color);
    border-bottom: thin solid var(--first-color);
    width: 300px;
    margin: 2rem auto;
    padding: 1rem 1rem;
    text-align: center;
    color: var(--title-color);
}

.text-first-color{
    color: var(--first-color);
}



@media screen and (min-width:1024px){
    .full-lg-screen{
        width: 100%;
        min-height:100vh;
    }
    
}

                                            /* Sites Styles (Estilos particulares para este sitio)*/


.contact-card{
    margin: 1rem auto;
    padding: 1rem;
    width: 100%;
    height: 150px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

.contact-card > small{
    margin-top: -1rem;
}

.contact-card small a{
    text-decoration: none;
}

.contact-card svg{
    width: 2rem;
    height: 2rem;

    fill: var(--first-color)

}

.social-media img{
    width: 70%;
}

.social-media{
  
    display: flex;
    justify-content: space-around;
    margin-left: 1rem;
}


.footer{
    /* margin-bottom: var(--header-height); */

    background-color: var(--third-color);
    color: var(--white-color);
    text-align: center;
    padding: 0.5rem;
}

.social-media a{
    padding: 1rem;
    text-decoration: none;
    

}
.social-media svg{
    width: 2rem;
    height: 2rem;
}





.header{
    position: fixed;
    left: 0;
    bottom: 0;
    z-index: 999;
    width: 100%;
    height: var(--header-height);
    height: 5rem;
    background-color: var(--second-color);
    padding: 1rem;
}
.header>.container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* background-color: red; */
    width: 80%;
}

.logo a{
    /* color:var(--first-color);
    font-weight: bold;
    font-size: 2rem; */
    text-decoration: none;
   
}
.logo a img{
    width: 15%;
}
.about>article{
    margin-bottom: 2rem;
   
    
}
.about>article:last-child{
    text-align: center;
}
.about .escudo{
    width: 50%;
    
}



.porfolio-card{
    position: relative;
    width: 100%;
    margin: 0 auto;
    display: block;
}

.porfolio-card img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.porfolio-card-info{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 1rem;
    background-color: var(--first-alpha-color2);
    color: var(--white-color);
    opacity: 1;
    pointer-events: none;
    transition: all 0.5s ease-in-out;
}

.porfolio-card:hover .porfolio-card-info{
    opacity: 1;
    pointer-events: auto;
}



.porfolio-card-info>div{
    padding: 1rem;
    border: thin solid var(--white-color);
    width: 100%;
    height: 100%;
}

.porfolio-card-info div p{
    
  font-size: 1rem;
}


.porfolio-modal{
    padding: 1rem;
    display: flex;
    flex-direction: column;
    max-width: 400px;
    background-color: var(--white-color2);
}
.porfolio-modal h3{
    border-bottom:medium solid var(--first-color);
    padding: 0.5rem 0;
    margin: 1rem auto;
    color: var(--title-color);
}


.service-card{
    margin: 1rem auto;
    padding: 1rem;
    text-align: center;
    
}
.service-card h3{
    color: var(--title-color);
    text-align: center;

}

.service-card p{
    text-align: left;
}

#aclaracion{
    font-style: italic;
}

.slides-nav{
    display: none;
}

.slides .slide:last-child{
    margin-top: 3rem;
}

.slide{
    list-style: none;
    
}
.slide>blockquote{
    
    text-align:center;
    line-height: 1.5rem;
    
}
/* Para 1 noticia 50%, pora 2 noticias 100% etc  */
.slides .slide{
    width: 50%;
}

/* avisos especiales */
#inscripcion{
    color:var(--first-color);
}





@media screen and (min-width:768px){

    /* contactos */
    .contact-cards{
        display: grid;
        grid-template-columns: repeat(2,48%);

      }
    /* es para una tablet, no creo que quede */
    .portfolio>.container{
        display: grid;
        grid-template-columns: repeat(2,50%);
    }
    .portfolio .section-title{
        grid-column: span 2;
    }
    .services >.container{
      display: grid;
      grid-template-columns: repeat(2,45%);
      justify-content: space-between;
      align-content: center;
    }
    .services .section-title{
        grid-column: span 2;;
    }

    .porfolio-modal{
        flex-direction: row;
        max-width: 800px;
    }
    .porfolio-info{
        margin-left: 1.5rem;
        align-self: center;
    }

    .porfolio-card-info{
        opacity: 1;
        background-color: var(--first-alpha-color2);
    }

    .slides-nav{
        display:inline;
    }

    /*cabecera*/
    .header{
        position: sticky;
        top:0;
        padding: 0.5rem;
        height: calc(var(--header-height)- 0.5rem);
    }
    .logo a img{
        width: 3vw;
    }

    
    
    
}

    


@media screen and (min-width:1024px){
    /* institución */
    .about{
        display: grid;
        grid-template-columns: repeat(2, 45%);
        justify-content: space-between;
        align-content: center;
    }
    .about .escudo{
        margin-top: 10%;
        width: 50%;
    }
    /* Cabecera */
    .header{
        position: sticky;
        top:0;
        padding: 0.5rem;
        height: calc(var(--header-height)- 0.5rem);
    }
    .logo a img{
        width: 3vw;
    }
    /* porfolio */

    .portfolio>.container{
        grid-template-columns: repeat(3,1fr);
    }
    .portfolio .section-title{
        grid-column: span 3;
    }


    .carousel .slides{
        /* de esta forma ponemos en horizontal todas las noticias */
        display: flex;
        list-style: none;
        padding-left: 0%;
        /* 100% por cada slide o noticia */
        width: 200%;
    
        transition: transform 0.5s ease-in-out;
    
        /* insertamos la animación */
        /* animation: noticias-animadas 16s ease-in-out 3s; */
        /* ponemos 16s para que cada noticia dure 4s con un delay de 3s para empezar */
        /* se puede pone infinite para que haga un bucle */
    
    }

    




    /* simbolo de la tilde ~ se realiza con AltGr + ñ; significa mueve el hermano que tienes al lado */
/* es necesario dividir 100% por la cantidad de slide o noticias */
#slide-1:checked ~ .slides{
    transform: translateX(0%)
}
/* ponemos -25% para que se mueva hacia la isquierda */
#slide-2:checked ~ .slides{
    transform: translateX(-50%)
}
/* #slide-3:checked ~ .slides{
    transform: translateX(-50%)
} */
/* #slide-4:checked ~ .slides{
    transform: translateX(-75%)
} */

/* para que se seleccionen o llenen los label, que son los círculos  */
#slide-1:checked ~ .slides-nav label#dot-1,
#slide-2:checked ~ .slides-nav label#dot-2

{
    background-color: var(--gray-dark-color);
}

.slides .slide:last-child{
    margin-top: 0rem;
}

    /* carreras */



    .services > .container{
        display: grid;
        grid-template-columns: repeat(3,30%);
        justify-content: space-between;
        align-content: center;
      }
      .services .section-title{
          grid-column: span 3;;
      }
      .service-card{
        text-align: justify;
      }

       /* contactos */
    .contact-cards{
        display: grid;
        grid-template-columns: repeat(4,24%);

      }
    
      .contact-card  small a{
        font-size: medium;
    }
      

    
    
}



